#coding:utf8
import re
import sys,os
import pandas as pd

class MedicalProduct():

    def __init__(self):
        self.file_path = os.path.join(os.path.dirname(__file__),"医疗产品关键词.xlsx")
        df = pd.read_excel(self.file_path)
        self.list_medical_keyword = [str(a) for a in df["product_name"].tolist()]
        self.legal_keyword = []
        for _keyword in self.list_medical_keyword:
            try:
                if re.compile(_keyword):
                    self.legal_keyword.append(_keyword)
            except:
                pass
        print("|".join(self.legal_keyword))
        self.medical_pattern = re.compile("|".join(self.legal_keyword))

    def is_medical_product(self,content):
        _search = self.medical_pattern.search(content)
        if _search:
            return True
        else:
            return False



if __name__ == '__main__':
    MP = MedicalProduct()
    print(MP.is_medical_product('[{"quantity_unit":"台","specs":"CPU系列:Intel I5;CPU型号:酷睿 I5 - 12400;CPU主频:2.5GHz;CPU三级缓存容量:18M;CPU线程数:12;CPU核数:6核;CPU缓存:L3;内存频率:3200MHz;内存类型:DDR4;内存容量:8GB;内存条数:1;内存插槽数量:2;硬盘类型:固态硬盘;固态硬盘容量:512GB;固态硬盘类型:M.2;固态硬盘协议:NVME;机械硬盘容量:无;机械硬盘规格:无;机械硬盘转速:无;机械硬盘缓存:无;显卡类型:集成显卡;显存容量:共享内存;显存位宽:无;显示器型号:TE22 - 14;显示器尺寸(英寸):21.45;最大分辨率(垂直):1080;最大分辨率(水平):1920;色深:无;刷新率:无;触摸屏:无;显示器功能:可壁挂;低蓝光模式:不支持;台式机类型:主机+显示器;颜色分类:黑色;操作系统:Windows 11;光驱:无光驱;蓝牙:无;有线网卡:有;无线网卡:无;Type - c接口数量:0;PCI - E x4插槽数量:0;PCI - E x8插槽数量:0;HDMI接口数量:1;VGA接口数量:1;DP接口数量:0;DVI接口数量:0;主机前端USB3.0接口数量:2;主机前端USB2.0接口数量:0;主机后端USB3.0接口数量:2;主机后端USB2.0接口数量:2;串行端口(9针)数量:0;并行端口(25针)数量:0;PCI插槽数量:0;PCI - E x1插槽数量:1;PCI - E x16插槽数量:1;PCI - E 2.0 x1插槽数量:0;PCI - E 2.0 x16插槽数量:0;前端音频接口:2;后端音频接口:1;主机节能产品认证证书编号:CQC22701330985;主机节能产品认证证书有效期:2027 - 01 - 28;中国国家强制性产品认证证书有效期:2027 - 10 - 24;中国国家强制性产品认证证书编号:2017010901021742;液晶显示器节能证书有效期:2026 - 3 - 10;液晶显示器节能证书编号:CQC21701294790;USB屏蔽功能(BIOS方式):无;标配键盘:有线;标配鼠标:有线;电源功率(W):180;机箱尺寸:5 - 15升;质保期限:3年;售后服务:主机三年保修，显示器一年保修;","product":"台式计算机","quantity":1,"total_price":4999.0,"parameter":"","unit_price":4999.0,"brand":""},{"quantity_unit":"台","specs":"双面功能:自动;耗材类型:鼓粉分离;打印类型:黑白激光;最大打印幅面:A4;黑白打印速度(页/分钟 ppm):30;彩色打印速度(页/分钟 ppm):0;特殊复印功能:有;双面扫描:无;扫描方式:CIS;最大扫描幅面(稿台):A4;最大扫描幅面(输稿器):A4;中国国家强制性产品认证证书编号:2022010905467930;中国国家强制性产品认证证书有效期:2025 - 04 - 21;标配自动输稿器:无;内存容量:32MB;有线网卡:有;无线网卡:无;传真速率:无;耗材型号:LT2451;质保期限:1年;","product":"多功能一体机","quantity":1,"total_price":1999.0,"parameter":"","unit_price":1999.0,"brand":""}]'))
